#ifndef __RT_MSGS__
#define __RT_MSGS__

#include "RtTypes.h"

typedef struct TupleMsg_t {
  Addr_t sender;
  TupleType_t type;
  uint8_t data[0]; // simply want ability to point past type.  real size is always gotten with getbuffer anyway
/*   uint8_t data[TOSH_DATA_LENGTH - 1]; */
} TupleMsg_t;

enum {
  AM_BEACONMSG = 0xFE,
  AM_TUPLEMSG = 101,
};

enum {
	DSN_BCAST_ADDRESS = 0xFFFF,
};

#endif /* __RT_MSGS__ */
