#!/bin/bash

if [ ! -n "$1" ]
    then
    echo "Usage: $0 COM_NUM"
    exit 2
fi

icom=${1}
ibsl=$((icom-1))
platform=telosb
progcmd=msp430-bsl
echo "executing COM =" ${icom} ", BSL =" ${ibsl}

make telosb reinstall,${icom} bsl,${ibsl}

# echo ${icom} ${ibsl}
# # create application img with address
# /opt/tinyos-1.x/tools/make/msp/set-mote-id --objcopy msp430-objcopy --objdump msp430-objdump --target ihex build/${platform}/main.ihex build/${platform}/main.ihex.out-${icom} ${icom}
# # erase + load bootloader img
# ${progcmd} --${platform} -c ${ibsl} -r -e -I -p C:/cygwin/opt/tinyos-1.x/tos/lib/Deluge/TOSBoot/build/${platform}/main.ihex
# # load application img
# ${progcmd} --${platform} -c ${ibsl} -r -I -p build/${platform}/main.ihex.out-${icom}
# # erase application img with address
# rm -f build/${platform}/main.exe.out-${icom} build/${platform}/main.ihex.out-${icom}




### Example e.g. from make telosb reinstall,X, bsl,Y where X = Y+1###

# $ make telosb reinstall,14 bsl,13


# /opt/tinyos-1.x/tools/make/msp/set-mote-id --objcopy msp430-objcopy --objdump msp430-objdump --target ihex build/telosb/main.ihex build/telosb/main.ihex.out-14 14


#     installing telosb bootloader using bsl
# tos-bsl --telosb -c 13 -r -e -I -p C:/cygwin/opt/tinyos-1.x/tos/lib/Deluge/TOSBoot/build/telosb/main.ihex

# MSP430 Bootstrap Loader Version: 1.39-telos-8
# Mass Erase...
# Transmit default password ...
# Invoking BSL...
# Transmit default password ...
# Current bootstrap loader version: 1.61 (Device ID: f16c)
# Changing baudrate to 38400 ...
# Program ...
# 1796 bytes programmed.
# Reset device ...


#     installing telosb binary using bsl (without mass erase)
# tos-bsl --telosb -c 13 -r -I -p build/telosb/main.ihex.out-14

# MSP430 Bootstrap Loader Version: 1.39-telos-8
# Invoking BSL...
# Transmit default password ...
# Current bootstrap loader version: 1.61 (Device ID: f16c)
# Changing baudrate to 38400 ...
# Program ...
# 5816 bytes programmed.
# Reset device ...


# rm -f build/telosb/main.exe.out-14 build/telosb/main.ihex.out-14 
