#!/bin/bash

here=`pwd`

motes=`motelist | grep "tmote sky\|Telos (Rev B" | awk {'print $2'} | egrep --only-matching  [0-9]+ | sort -n`


echo "Motes found: " 
echo ${motes}

for icom in ${motes}; do
	   echo "calling COM =" ${icom}
	   upit_child.sh ${icom} #& #timeouts will occur
done

wait
echo "Done"

